[CentOS] rpm problem after upgrade

Matt Hyclak hyclak at math.ohiou.edu
Wed Sep 20 18:08:46 UTC 2006

On Wed, Sep 20, 2006 at 06:58:53PM +0100, Andres Baravalle enlightened us:
> 2006/9/20, Matt Hyclak <hyclak at math.ohiou.edu>:
> >Is python-rpm installed?

> Hi,
> if you mean rpm-python, yes. I haven't a package called python-rpm.

Yes, I did. I even double checked it on my system and still typed it wrong...

I have rpm-python-4.3.3-18_nonptl installed.

> I have rebooted with selinux enabled as permissive and yum it's not
> working either. Before it was set up as disabled.

I don't think your error has anything to do with SELinux, per se. 

> required to run yum. The error leading to this problem was:
>  /usr/lib/python2.3/site-packages/rpmmodule.so: undefined symbol:
> rpmtsSetREContext

indicates to me that a library is missing or can't be found. What does 

  ldd /usr/lib/python2.3/site-packages/rpmmodule.so

tell you?

And now you know why upgrades between major versions are not supported ;-)


Matt Hyclak
Department of Mathematics 
Department of Social Work
Ohio University
(740) 593-1263

More information about the CentOS mailing list